> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Authenticate JWT

## Overview

Allows a service to authenticate a JWT token issued by the broker. This resource does not require authenticated access. Any service that receives a JWT token issued by the broker can request the broker to validate the token, and to return parsed information available in the token.

## HTTP request

`POST /Agent/Account/AuthenticateJwt`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"token": Optional(Str(PToken))
}
```

## Input parameters

| Parameter | Description            |
| --------- | ---------------------- |
| PToken    | JWT token to validate. |

## Response (JSON)

```json theme={null}
{
	"header": Required(Str(PHeader)),
	"payload": Required(Str(PPayload)),
	"signature": Required(Str(PSignature)),
	"algorithm": Required(Str(PAlgorithm)),
	"claims": Required(PClaims),
	"type": Optional(Str(PType)),
	"issuer": Optional(Str(PIssuer)),
	"subject": Optional(Str(PSubject)),
	"id": Optional(Str(PId)),
	"audience": Optional(Str(PAudience[])),
	"expiration": Optional(DateTime(PExpiration)),
	"notBefore": Optional(DateTime(PNotBefore)),
	"issuedAt": Optional(DateTime(PIssuedAt))
}
```

## Response parameters

| Parameter   | Description                          |
| ----------- | ------------------------------------ |
| PHeader     | Header portion of the token.         |
| PPayload    | Payload portion of the token.        |
| PSignature  | Signature portion of the token.      |
| PAlgorithm  | Algorithm used to sign the token.    |
| PType       | Type of token.                       |
| PIssuer     | Issuer of token.                     |
| PSubject    | Subject of the token.                |
| PId         | Identifier of token.                 |
| PAudience   | Audience for token.                  |
| PExpiration | When token expires.                  |
| PNotBefore  | If token has a not-before timestamp. |
| PIssuedAt   | When token was created.              |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
